#ifndef __LIBSPEEX_H__
#define __LIBSPEEX_H__

#include <speex.h>
#include <speex_header.h>

typedef struct
{
	gboolean enhancer;
	gint http_buffer_size;
	gint http_prebuffer;
	gboolean use_proxy;
	gchar *proxy_host;
	gint proxy_port;
	gboolean proxy_use_auth;
	gchar *proxy_user, *proxy_pass;
	gboolean save_http_stream;
	gchar *save_http_path;
} Speex_Configuration;

typedef struct
{
	FILE *spxfile;
	gboolean playing, streaming, eof, eos;
	int length, seek_to, framesize;
	char *filename, *title;
	SpeexMode mode;
	int freq, channels, vbr, nframes;
} Speex_File_State;

#endif /* __LIBSPEEX_H__ */
